Commit 7ad152fd authored by Matija Obreza's avatar Matija Obreza
Browse files

Express: Updated project references

- Need to use same versions of @types dependencies
parent 917841dd
......@@ -183,7 +183,7 @@ module.exports = {
favicon: 'favicon.ico',
version: gitRevisionPlugin.version(),
commithash: gitRevisionPlugin.commithash(),
localesMapping: fs.readFileSync('../i18n/generated/locales/localesMapping.json', { encoding: 'utf8' }),
localesMapping: fs.readFileSync('./generated/locales/localesMapping.json', { encoding: 'utf8' }),
}),
// Inject scripts for SSR
......@@ -199,7 +199,7 @@ module.exports = {
favicon: 'favicon.ico',
version: gitRevisionPlugin.version(),
commithash: gitRevisionPlugin.commithash(),
localesMapping: fs.readFileSync('../i18n/generated/locales/localesMapping.json', { encoding: 'utf8' }),
localesMapping: fs.readFileSync('./generated/locales/localesMapping.json', { encoding: 'utf8' }),
}),
new HtmlWebpackPlugin({
......@@ -227,8 +227,8 @@ module.exports = {
new HtmlWebpackExcludeAssetsPlugin(),
new CopyWebpackPlugin([
{ from: '../i18n/locales', to: 'locales' },
{ from: '../i18n/generated/locales', to: 'locales' },
{ from: './locales', to: 'locales' },
{ from: './generated/locales', to: 'locales' },
]),
new ReactLoadable.ReactLoadablePlugin({
......
......@@ -12,7 +12,7 @@
"start:prod": "yarn run build && cd ../../target/app/server && node server.js"
},
"dependencies": {
"@gringlobal/client": "file:../client",
"@gringlobal/client": "*",
"axios": "^0.19.2",
"connected-react-router": "^6.6.1",
"cookie-parser": "^1.4.4",
......@@ -47,14 +47,15 @@
"@babel/cli": "^7.8.4",
"@babel/core": "^7.8.4",
"@types/node": "13.5.3",
"@types/react": "16.9.19",
"@types/react-router": "5.1.4",
"@types/react-router-dom": "5.1.3",
"@types/react": "^16.9.0",
"@types/react-router": "^5.1.0",
"@types/react-router-dom": "^5.1.0",
"@types/redux-form": "8.2.0",
"@types/webpack-env": "^1.15.1",
"@typescript-eslint/eslint-plugin": "^2.17.0",
"@typescript-eslint/eslint-plugin-tslint": "^2.17.0",
"@typescript-eslint/parser": "^2.18.0",
"@gringlobal/i18n": "*",
"awesome-typescript-loader": "^5.2.1",
"babel-eslint": "^10.0.3",
"babel-plugin-module-resolver": "^4.0.0",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment